Bug 804491 - [abrt] grace-5.1.22-9.fc16: __GI___libc_malloc: Process /usr/bin/xmgrace was killed by signal 6 (SIGABRT)
[abrt] grace-5.1.22-9.fc16: __GI___libc_malloc: Process /usr/bin/xmgrace was ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
abrt_hash:261615607d284d9127bc94029aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 01:03 EDT by Amit Goyal
Modified: 2012-12-06 02:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-01 04:45:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (4.56 KB, text/plain)
2012-03-19 01:03 EDT, Amit Goyal
no flags Details
File: maps (11.73 KB, text/plain)
2012-03-19 01:03 EDT, Amit Goyal
no flags Details
File: backtrace (11.93 KB, text/plain)
2012-03-19 01:03 EDT, Amit Goyal
no flags Details
File: backtrace (12.25 KB, text/plain)
2012-03-22 14:12 EDT, Andrzej Kuzniar
no flags Details

  None (edit)
Description Amit Goyal 2012-03-19 01:03:20 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        xmgrace potential.xvg
crash_function: __GI___libc_malloc
executable:     /usr/bin/xmgrace
kernel:         3.2.9-2.fc16.i686
pid:            3657
pwd:            /usr/local/gromacs/share/1EMB_AllStrand_NoCRO
reason:         Process /usr/bin/xmgrace was killed by signal 6 (SIGABRT)
time:           Mon 19 Mar 2012 01:46:23 PM KST
uid:            0
username:       root
xsession_errors: xmgrace: malloc.c:2453: sYSMALLOc: Assertion `(old_top == (((mbinptr) (((char *) &((av)->bins[((1) - 1) * 2])) - __builtin_offsetof (struct malloc_chunk, fd)))) && old_size == 0) || ((unsigned long) (old_size) >= (unsigned long)((((__builtin_offsetof (struct malloc_chunk, fd_nextsize))+((2 * (sizeof(size_t))) - 1)) & ~((2 * (sizeof(size_t))) - 1))) && ((old_top)->size & 0x1) && ((unsigned long)old_end & pagemask) == 0)' failed.

backtrace:      Text file, 12221 bytes
dso_list:       Text file, 4668 bytes
maps:           Text file, 12013 bytes

build_ids:
:9d63dc2ec7319f8f859631fe02b108b896da5450
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:96b666a7f6d7a80ea6f9aef54f0cdd0f6190c058
:2e2f7394d8e0b50fc9b659071fe482e3e4fe4fdb
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:92a21a55d76b5396cd54af99b1a6b1e0bf4a0bc4
:1002abe0291e2b40a073f1d82ed0322e82a760dc
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:9e557521cbc1bfa5f60a7be1b5a6bda768ee5f7f
:4946e9a1780f079c79bd497c0c9ff250b976fe15
:bf0a36dd7bb8edf9bdb86ebcf5c1cf12543a78ca
:654235959ac7679b479cbee874a8d86a26902b4e
:d2ef4967ab01e3014987c103172ad4b15b7816dc
:66bde8f1c5ea0505d428ab205352524e2ccfa7ac
:d31267db07bb7f102633c43adc7b083b45aef1d5
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:917b19e34a4e653ea2f5151867bfb15e683a008d
:0f1117e138e0e5f1f71ad0a869433e7c5b9eb2ff
:0668cb94095cf73bc5ac05432fb1024186d29455
:fa52c94417eb9760265bfd6381ecece7afe41c56
:6fdbfcd9e4f3f1a2e5346a39cc05ed4104315ccf
:a8048f4726308b3a7e3432c56057dd593bf7013a
:180d6b9c1f1ebd392547cba3ee72a3b34ec17177
:73328c8f8ee033e02433c4baf5aa4835275cd93c
:0c42d41b807c8cf7bcfa07558b3c29014947986e
:c57db174fd95c10c543e144740e1ca144041ee71
:7e645e46542edda59c493361a82e3b992a26e1c2
:39bcc6ecb98ccc46e604f698283165ac4c480156
:c61e277da35560d3fe2899a1f32c1d9cf2ae9b3e
:2ceafbe60ad3978e0d071011b82e0325fc43a106
:7b2c4d1f67d5f8fa494efea89d8790b8367d0434
:15bab279752ad8e30f901abae77bcb1ed1f38977
:c650dfe2f7ead26f8e48c2433d71b5baf7b3a862
:c40ca5d78f7f5324884265a76b4e6c6c3b09a26f
:d9c27be5784e4a5fc0b40a13e29932d68e47753d
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:9420467d89dfb7f3e4dad350ca3d5725ab6f7ca0
:2effa52adc086ca53a55273afe9b415e8bd46fc9
:988131751cba6acdb670ad1d73df4cddd91404cd
:798697a352bae4178953ba502fb04f33dd0ed987
:c426419184fb3dcbe313f2b886f0228b7effc9ea
:8e4c3586ead4b9d9964684cd9a281edc025bd771
:861a77ab9a119a2c5a1231ef306cdb56dbb739e8
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:333f04d80ad25c22c3d8c938f7318617ff063917
:e42d500dc9e803be62453540b4c81a12e96a006a
:b9c6d61cd56469fa0c270cc3432e4496f020c625
:dfc9d57f13e20a33b84e21e6061f7625d313e42c
:0351a659bc0812678c67f62af1f802a5f367befc
:70ec0be07448920a83c0bceafed09d46008e56b1
:51d694820cc687ffcfc56a076d94f9214f7ea08c
:56c1b56c79bc8f1606bb4ae19aecbe40abc56691
:ae15534ba0067272ad8a7be96ba555e6347ae845
:004f998e5feec2d735c51a4801d53ae21cb95d02
:e75791b33ba1bf7f95c2915cee45e8e931993065
:12da4d1dc9764d3990ab6a2def5a88c4687d4550
:d26cd8cc91e61378fcf9d844cdbf7baba1b1b40b
:10cec21724c13b95ec03f00985b0405412817a49
:ad146d778b0325879d5c96652ac86ca8e121057d

environ:
:XDG_VTNR=1
:MPI_INCLUDE=/usr/include/mpich2-i386
:MANPATH=/usr/share/man/mpich2:/usr/share/man:/usr/local/share/man
:SSH_AGENT_PID=1143
:KDE_MULTIHEAD=false
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=localhost.localdomain
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:XDG_SESSION_COOKIE=cdc2d4f67800ccf9a72fb7d00000000a-1332130322.124457-420282794
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/root/.gtkrc-2.0:/root/.gtkrc-2.0-kde4:/root/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.84
:SCHRODINGER=/opt/schrodinger
:GTK_RC_FILES=/etc/gtk/gtkrc:/root/.gtkrc:/root/.kde/share/config/gtkrc
:GS_LIB=
:WINDOWID=73400346
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:SHELL_SESSION_ID=f061253d9b47400097c34788900c2291
:KDE_FULL_SESSION=true
:USER=root
:MPI_PYTHON_SITEARCH=/usr/lib/python2.7/site-packages/mpich2
:LD_LIBRARY_PATH=/usr/lib/mpich2/lib
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-iTAThyAF1103/agent.1103
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1221,unix/unix:/tmp/.ICE-unix/1221
:MPI_LIB=/usr/lib/mpich2/lib
:DESKTOP_SESSION=default
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/mpich2/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin
:MAIL=/var/spool/mail/root
:MPI_BIN=/usr/lib/mpich2/bin
:MPI_COMPILER=mpich2-i386
:PWD=/usr/local/gromacs/share/1EMB_AllStrand_NoCRO
:_LMFILES_=/etc/modulefiles/mpich2-i386
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDE_SESSION_UID=0
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=mpich2-i386
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/1
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:MPI_SYSCONFIG=/etc/mpich2-i386
:COLORFGBG=15;0
:SHLVL=3
:XDG_SEAT=seat0
:HOME=/root
:KDE_SESSION_VERSION=4
:LANGUAGE=
:MPI_SUFFIX=_mpich2
:XCURSOR_THEME=default
:MPI_MAN=/usr/share/man/mpich2
:LOGNAME=root
:PYTHONPATH=/usr/lib/python2.7/site-packages/mpich2
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vMfb5A0R73,guid=5c67b436036f1f0a2124f1840000001f
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:MPI_FORTRAN_MOD_DIR=/usr/include/mpich2-i386
:MPI_HOME=/usr/lib/mpich2
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:FLEXLM_DIAGNOSTICS=3
:PROFILEHOME=/usr/local/gromacs/share/1EMB_AllStrand_NoCRO
:XDG_RUNTIME_DIR=/run/user/root
:DISPLAY=:0
:QT_PLUGIN_PATH=/root/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:LM_LICENSE=@/opt/schrodinger/licens'cmd bash $*`\n}'
:_=/usr/bin/xmgrace

var_log_messages:
:Mar 14 11:23:16 localhost abrt[7419]: Saved core dump of pid 7418 (/usr/bin/xmgrace) to /var/spool/abrt/ccpp-2012-03-14-11:23:16-7418 (1626112 bytes)
:Mar 14 11:25:02 localhost abrt[7620]: Saved core dump of pid 7619 (/usr/bin/xmgrace) to /var/spool/abrt/ccpp-2012-03-14-11:25:02-7619 (1626112 bytes)
:Mar 19 13:46:23 localhost abrt[3658]: Saved core dump of pid 3657 (/usr/bin/xmgrace) to /var/spool/abrt/ccpp-2012-03-19-13:46:23-3657 (1695744 bytes)
Comment 1 Amit Goyal 2012-03-19 01:03:25 EDT
Created attachment 571005 [details]
File: dso_list
Comment 2 Amit Goyal 2012-03-19 01:03:26 EDT
Created attachment 571006 [details]
File: maps
Comment 3 Amit Goyal 2012-03-19 01:03:28 EDT
Created attachment 571007 [details]
File: backtrace
Comment 4 Andrzej Kuzniar 2012-03-22 14:12:31 EDT
Hello,

This application can not launch under Fedora. I have no idea why it is, so decided to report existing situation as a bug.

Andrzej Kuzniar



backtrace_rating: 4
Package: grace-5.1.22-9.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Andrzej Kuzniar 2012-03-22 14:12:35 EDT
Created attachment 572056 [details]
File: backtrace
Comment 6 José Matos 2012-11-26 09:34:58 EST
Does this problem still persists?

What is the content of /etc/grace/FontDataBase?
Comment 7 Fedora Update System 2012-11-26 15:37:38 EST
grace-5.1.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/grace-5.1.23-1.fc18
Comment 8 Fedora Update System 2012-11-26 15:39:22 EST
grace-5.1.23-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/grace-5.1.23-1.fc17
Comment 9 Fedora Update System 2012-11-26 15:40:26 EST
grace-5.1.23-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/grace-5.1.23-1.fc16
Comment 10 Fedora Update System 2012-11-27 04:50:14 EST
Package grace-5.1.23-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grace-5.1.23-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19107/grace-5.1.23-1.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-12-01 04:45:59 EST
grace-5.1.23-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-12-06 02:01:13 EST
grace-5.1.23-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-12-06 02:04:47 EST
grace-5.1.23-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.